Insights Reports
sfp server API reference for Insights Reports: 9 endpoints.
POST
/sfp/api/insights/reports/refreshAuthorization
access-token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/insights/reports/refresh" \ -H "Content-Type: application/json" \ -d '{ "targetOrg": "admin@example.com" }'Empty
GET
/sfp/api/insights/reports/activeAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
targetOrg*string
Response Body
curl -X GET "https://example.com/sfp/api/insights/reports/active?targetOrg=string"Empty
GET
/sfp/api/insights/reports/runsAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
targetOrg*string
limit*string
Response Body
curl -X GET "https://example.com/sfp/api/insights/reports/runs?targetOrg=string&limit=string"Empty
POST
/sfp/api/insights/reports/uploadAuthorization
access-token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/insights/reports/upload" \ -H "Content-Type: application/json" \ -d '{ "targetOrg": "admin@example.com", "capturedAt": "2026-05-17T12:00:00.000Z" }'Empty
GET
/sfp/api/insights/reports/available-orgsAuthorization
access-token AuthorizationBearer <token>
In: header
Response Body
curl -X GET "https://example.com/sfp/api/insights/reports/available-orgs"Empty
GET
/sfp/api/insights/reportsAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
targetOrg*string
limit*string
Response Body
curl -X GET "https://example.com/sfp/api/insights/reports?targetOrg=string&limit=string"Empty
GET
/sfp/api/insights/reports/latestAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
targetOrg*string
Response Body
curl -X GET "https://example.com/sfp/api/insights/reports/latest?targetOrg=string"Empty
GET
/sfp/api/insights/reports/latest/contentAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
targetOrg*string
artifact*string
Response Body
curl -X GET "https://example.com/sfp/api/insights/reports/latest/content?targetOrg=string&artifact=string"Empty
GET
/sfp/api/insights/reports/content/*Authorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
0*string
Response Body
curl -X GET "https://example.com/sfp/api/insights/reports/content/*"Empty